using DigitalData.Core.Abstraction.Application;
using Microsoft.AspNetCore.Mvc;

namespace DigitalData.Core.API
{
    [ApiController]
    [Route("api/[controller]")]
    [Obsolete("Use MediatR")]
    public class BasicCRUDControllerBase<TCRUDService, TDto, TEntity, TId> : CRUDControllerBase<TCRUDService, TDto, TDto, TDto, TEntity, TId>
        where TCRUDService : ICRUDService<TDto, TDto, TEntity, TId>
        where TDto : class
        where TEntity : class
    {
        public BasicCRUDControllerBase(ILogger logger, TCRUDService service) : base(logger, service)
        {
        }
    }
}